Banks
Allows viewing the list of associated banks.
Base URL:
https://app.payku.cl/ (Production) · https://des.payku.cl/ (Sandbox)Get list of banks by currency type
Section titled “Get list of banks by currency type”GET
/api/banks?currency=vesThis method allows you to retrieve a list of associated banks filtered by currency.
To filter by currency, add the query parameter currency with the currency value.
curl -X GET \https://BASE-URL/api/banks?currency=ves \-H 'Accept: application/json, text/plain, */*' \-H 'Content-Type: application/json' \-H 'Host: BASE-URL'$client = new \GuzzleHttp\Client(); $body = $client->request('GET', 'https://BASE_URL/api/banks?currency=ves', [ ])->getBody();$response = json_decode($body);const request = async () => { const response = await fetch('https://BASE_URL/api/banks?currency=ves', { method: 'GET', headers: { 'Content-Type': 'application/json' }, }); const result = await response.json(); console.log(result)}request();Responses
200
{ "status": "success", "banks": [ { "code": "0102", "name": "Banco de Venezuela", "currency": "VES" } ]}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Status of the endpoint. The possible statuses that can be obtained are the following:
|
banks |
array of objects | |
code |
string | Bank code of the bank to which the bank account belongs. |
name |
string | Name of bank. |
currency |
string | Currency |
400
Request error.
{ "status": "failed", "type": "Unprocessable Entity", "message_error": ""}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
message_error |
string | Error message |